# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${CMAKE_SOURCE_DIR}/libtdegames/highscore
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kshisen (executable) ######################

tde_add_executable( kshisen AUTOMOC
  SOURCES main.cpp board.cpp app.cpp tileset.cpp settings.ui prefs.kcfgc
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( kshisen )


##### other data ################################

install( FILES kshisen.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

install( FILES kshisenui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kshisen
)

install( FILES kshisen.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)
